Skip to content

Managed Rancher

All operations require authentication.

5 operationsv2/publicCloud/project · /publicCloud/reference
Agent setup

Get managed Rancher eligibilityProduction

GET
/v2/publicCloud/project/{projectId}/reference/rancher/eligibility

Returns whether the project is eligible for a managed Rancher free trial.

Path parameters

projectId
required
string

Project ID

Response

200EligibilityReferencesuccessful operation
freeTrial
read-only
boolean

Whether the project is eligible for free trial for the Rancher product

Example uses projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/reference/rancher/eligibility \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "freeTrial": true}

List managed Rancher plansProduction

GET
/v2/publicCloud/project/{projectId}/reference/rancher/plan

Returns the plans available for creating a managed Rancher service, with their status and the cause when a plan is unavailable.

Path parameters

projectId
required
string

Project ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200PlanReference[]successful operation
cause
read-only
PlanUnavailabilityCauseEnum

Cause for an unavailability

ValuesCANNOT_DOWNGRADE_USING_HIGHER_FEATURESCANNOT_SWITCH_PLAN_FOR_ALPHANOT_IMPLEMENTED
message
read-only
string

Human-readable description of the unavailability cause

name
read-only
PlanEnum

Name of the plan

ValuesOVHCLOUD_EDITIONSTANDARD
status
read-only
PlanReferenceStatusEnum

Status of the plan

ValuesAVAILABLEUNAVAILABLE

Example uses projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/reference/rancher/plan \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "cause": "CANNOT_DOWNGRADE_USING_HIGHER_FEATURES", "message": "string", "name": "OVHCLOUD_EDITION", "status": "AVAILABLE" }]

List managed Rancher versionsProduction

GET
/v2/publicCloud/project/{projectId}/reference/rancher/version

Returns the versions available for creating a managed Rancher service, with their status, changelog URL and the cause when a version is unavailable.

Path parameters

projectId
required
string

Project ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200VersionReference[]successful operation
cause
read-only
VersionUnavailabilityCauseEnum

Cause for an unavailability

ValuesCANNOT_UPGRADE_MULTIPLE_VERSIONSDEPRECATEDDISABLEDEND_OF_LIFEEND_OF_SALEEND_OF_SUPPORT
changelogUrl
read-only
string

Changelog URL of the version

message
read-only
string

Human-readable description of the unavailability cause

name
read-only
string

Name of the version

status
read-only
VersionReferenceStatusEnum

Status of the version

ValuesAVAILABLEUNAVAILABLE

Example uses projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/reference/rancher/version \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "cause": "CANNOT_UPGRADE_MULTIPLE_VERSIONS", "changelogUrl": "string", "message": "string", "name": "string", "status": "AVAILABLE" }]

List available plans for creating a managed Rancher serviceDeprecated

GET
/v2/publicCloud/reference/rancher/plan

Deprecated since May 20, 2024, will be removed on Sep 1, 2024 — use /v2/publicCloud/project/{projectId}/reference/rancher instead.

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200PlanReference[]successful operation
cause
read-only
PlanUnavailabilityCauseEnum

Cause for an unavailability

ValuesCANNOT_DOWNGRADE_USING_HIGHER_FEATURESCANNOT_SWITCH_PLAN_FOR_ALPHANOT_IMPLEMENTED
message
read-only
string

Human-readable description of the unavailability cause

name
read-only
PlanEnum

Name of the plan

ValuesOVHCLOUD_EDITIONSTANDARD
status
read-only
PlanReferenceStatusEnum

Status of the plan

ValuesAVAILABLEUNAVAILABLE

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/reference/rancher/plan \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "cause": "CANNOT_DOWNGRADE_USING_HIGHER_FEATURES", "message": "string", "name": "OVHCLOUD_EDITION", "status": "AVAILABLE" }]

List available versions for creating a managed Rancher serviceDeprecated

GET
/v2/publicCloud/reference/rancher/version

Deprecated since May 20, 2024, will be removed on Sep 1, 2024 — use /v2/publicCloud/project/{projectId}/reference/rancher instead.

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200VersionReference[]successful operation
cause
read-only
VersionUnavailabilityCauseEnum

Cause for an unavailability

ValuesCANNOT_UPGRADE_MULTIPLE_VERSIONSDEPRECATEDDISABLEDEND_OF_LIFEEND_OF_SALEEND_OF_SUPPORT
changelogUrl
read-only
string

Changelog URL of the version

message
read-only
string

Human-readable description of the unavailability cause

name
read-only
string

Name of the version

status
read-only
VersionReferenceStatusEnum

Status of the version

ValuesAVAILABLEUNAVAILABLE

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/reference/rancher/version \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "cause": "CANNOT_UPGRADE_MULTIPLE_VERSIONS", "changelogUrl": "string", "message": "string", "name": "string", "status": "AVAILABLE" }]